## org.eclipse.ocl.cst.impl
Class LoopExpCSImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.cst.impl.CSTNodeImpl
                      org.eclipse.ocl.cst.impl.OCLExpressionCSImpl
                          org.eclipse.ocl.cst.impl.CallExpCSImpl
                              org.eclipse.ocl.cst.impl.LoopExpCSImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, CallExpCS, CSTNode, LoopExpCS, OCLExpressionCS

Direct Known Subclasses:
  IterateExpCSImpl, IteratorExpCSImpl

    public class LoopExpCSImpl

extends CallExpCSImpl
implements LoopExpCS

An implementation of the model object 'Loop Exp CS'.

The following features are implemented:

- `Variable1`
- `Variable2`
- `Body`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected OCLExpressionCS` `body` The cached value of the '`Body`' containment reference
`protected VariableCS` `variable1` The cached value of the '`Variable1`' containment reference
`protected VariableCS` `variable2` The cached value of the '`Variable2`' containment reference

Fields inherited from class org.eclipse.ocl.cst.impl.CallExpCSImpl
`accessor, ACCESSOR_EDEFAULT, simpleNameCS, source`

Fields inherited from class org.eclipse.ocl.cst.impl.CSTNodeImpl
`ast, AST_EDEFAULT, END_OFFSET_EDEFAULT, END_TOKEN_EDEFAULT, endOffset, endToken, START_OFFSET_EDEFAULT, START_TOKEN_EDEFAULT, startOffset, startToken`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `LoopExpCSImpl()`

Method Summary
`NotificationChain` `basicSetBody(OCLExpressionCS newBody, NotificationChain msgs)`
`NotificationChain` `basicSetVariable1(VariableCS newVariable1, NotificationChain msgs)`
`NotificationChain` `basicSetVariable2(VariableCS newVariable2, NotificationChain msgs)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`OCLExpressionCS` `getBody()`
`VariableCS` `getVariable1()`
`VariableCS` `getVariable2()`
`void` `setBody(OCLExpressionCS newBody)`
`void` `setVariable1(VariableCS newVariable1)`
`void` `setVariable2(VariableCS newVariable2)`

Methods inherited from class org.eclipse.ocl.cst.impl.CallExpCSImpl
`basicSetSimpleNameCS, basicSetSource, getAccessor, getSimpleNameCS, getSource, setAccessor, setSimpleNameCS, setSource, toString`

Methods inherited from class org.eclipse.ocl.cst.impl.CSTNodeImpl
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ocl.cst.CallExpCS
`getAccessor, getSimpleNameCS, getSource, setAccessor, setSimpleNameCS, setSource`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### variable1

    protected VariableCS variable1

  The cached value of the '`Variable1`' containment reference.

  See Also:
    `getVariable1()`

### variable2

    protected VariableCS variable2

  The cached value of the '`Variable2`' containment reference.

  See Also:
    `getVariable2()`

### body

    protected OCLExpressionCS body

  The cached value of the '`Body`' containment reference.

  See Also:
    `getBody()`

Constructor Detail

### LoopExpCSImpl

    protected LoopExpCSImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `CallExpCSImpl`

### getVariable1

    public VariableCS getVariable1()

  Specified by:
    `getVariable1` in interface `LoopExpCS`
  Returns:
    the value of the 'Variable1' containment reference.
  See Also:
    `LoopExpCS.setVariable1(VariableCS)`, `CSTPackage.getLoopExpCS_Variable1()`

### basicSetVariable1

    public NotificationChain basicSetVariable1(VariableCS newVariable1,
                                               NotificationChain msgs)

### setVariable1

    public void setVariable1(VariableCS newVariable1)

  Specified by:
    `setVariable1` in interface `LoopExpCS`
  Parameters:
    `newVariable1` - the new value of the 'Variable1' containment reference.
  See Also:
    `LoopExpCS.getVariable1()`

### getVariable2

    public VariableCS getVariable2()

  Specified by:
    `getVariable2` in interface `LoopExpCS`
  Returns:
    the value of the 'Variable2' containment reference.
  See Also:
    `LoopExpCS.setVariable2(VariableCS)`, `CSTPackage.getLoopExpCS_Variable2()`

### basicSetVariable2

    public NotificationChain basicSetVariable2(VariableCS newVariable2,
                                               NotificationChain msgs)

### setVariable2

    public void setVariable2(VariableCS newVariable2)

  Specified by:
    `setVariable2` in interface `LoopExpCS`
  Parameters:
    `newVariable2` - the new value of the 'Variable2' containment reference.
  See Also:
    `LoopExpCS.getVariable2()`

### getBody

    public OCLExpressionCS getBody()

  Specified by:
    `getBody` in interface `LoopExpCS`
  Returns:
    the value of the 'Body' containment reference.
  See Also:
    `LoopExpCS.setBody(OCLExpressionCS)`, `CSTPackage.getLoopExpCS_Body()`

### basicSetBody

    public NotificationChain basicSetBody(OCLExpressionCS newBody,
                                          NotificationChain msgs)

### setBody

    public void setBody(OCLExpressionCS newBody)

  Specified by:
    `setBody` in interface `LoopExpCS`
  Parameters:
    `newBody` - the new value of the 'Body' containment reference.
  See Also:
    `LoopExpCS.getBody()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `CallExpCSImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `CallExpCSImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `CallExpCSImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `CallExpCSImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `CallExpCSImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.